Summary: Red Hat X Window System Configuration tool.
Name: Xconfigurator
Version: 3.25
Release: 1
Copyright: distributable
Group: X11/Utilities
Source: Xconfigurator-%{PACKAGE_VERSION}.tar.gz
Requires: XFree86 >= 3.2,  kbdconfig, mouseconfig >= 1.6, kbd

ExcludeArch: sparc
%description
This is the Red Hat X Configuration tool.  It is based on the sources
for xf86config, a utility from XFree86.  It has a nicer user interface
added to make it easier for the end user. 

NOTE - use mouseconfig to change your mouse type, then re-run Xconfigurator 
to set X up for your new mouse type.

%prep
%setup -n Xconfigurator

%build
xmkmf
make
strip Xconfigurator
ln -sf ../../../etc/X11/X /usr/X11R6/bin/X
mkdir -p -m 0755 /usr/share/Xconfigurator
install -c -m 0755 MonitorsDB /usr/share/Xconfigurator

%install
make install
make install.man

%changelog

* Sun Nov  9 1997 Michael Fulbright <msf@redhat.com>

- fixed --pick/--continue and --expert interaction

* Sat Nov 08 1997 Erik Troan <ewt@redhat.com>

- added checks for bad parameters

* Fri Nov  7 1997 Michael Fulbright <msf@redhat.com>

- added new video card entries from 2.0.31 kernel pci.c

* Mon Nov  3 1997 Michael Fulbright <msf@redhat.com>

- changed /etc/X11/X symlink to be relative, not absolute

* Thu Oct 30 1997 Michael Fulbright <msf@redhat.com>

- fixed VGA16 kickstart support
- fixed version string

* Mon Oct 27 1997 Michael Fulbright <msf@redhat.com>

- Fixed Mach64 autoprobing problems
- Added more user options when selecting from autoprobed video modes

* Tue Oct 14 1997 Michael Fulbright <msf@redhat.com>

- fixed handling of temp files to be more safe
- added option for interactive mode to autoprobe ram,color depth, etc.

* Mon Oct  6 1997 Michael Fulbright <msf@redhat.com>

- made 'Unlisted Card' work again
- added more monitors
- added a beta man page

* Thu Oct  2 1997 Michael Fulbright <msf@redhat.com>

- added generic monitor types

* Wed Oct  1 1997 Michael Fulbright <msf@redhat.com>

- made it run /etc/X11/X explicitely
- added --expert flag
- fixed memory allocation problem in SplitString()

* Tue Sep 30 1997 Michael Fulbright <msf@redhat.com>

- added kickstart support
- added PCI probing for PCI video card autodetection
- added use of --probeonly to get video card information

%files
%doc README TODO
/usr/X11R6/bin/Xconfigurator
/usr/X11R6/bin/X
/usr/share/Xconfigurator
/usr/X11R6/man/man1/Xconfigurator.1x
